#
# spec file for package perl-Config-Crontab
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-Crontab
Version:        1.45
Release:        1.33
%define cpan_name Config-Crontab
Summary:        Read/Write Vixie compatible crontab(5) files
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-Crontab/
Source0:        https://cpan.metacpan.org/authors/id/S/SC/SCOTTW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
*Config::Crontab* provides an object-oriented interface to Vixie-style
crontab(5) files for Perl.

A *Config::Crontab* object allows you to manipulate an ordered set of
*Event*, *Env*, or *Comment* objects (also included with this package).
Descriptions of these packages may be found below.

In short, *Config::Crontab* reads and writes crontab(5) files (and does a
little pretty-printing too) using objects. The general idea is that you
create a *Config::Crontab* object and associate it with a file (if
unassociated, it will work over a pipe to 'crontab -l'). From there, you
can add lines to your crontab object, change existing line attributes, and
write everything back to file.

Now, to successfully navigate the module's ins and outs, we'll need a
little terminology lesson.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example README

%changelog
* Fri Apr 21 2017 coolo@suse.com
- updated to 1.45
  see /usr/share/doc/packages/perl-Config-Crontab/Changes
  Release 1.45
  - ---------------------------
  commit eef68c773f42d73b5670a7c894b2f67914c83c95
  Author: Scott Wiersdorf <scott@perlcode.org>
  Date:   Thu Apr 20 10:24:09 2017 -0600
    use relative path in require (RT#120863)
* Tue Mar 21 2017 coolo@suse.com
- updated to 1.44
  see /usr/share/doc/packages/perl-Config-Crontab/Changes
  Release 1.44
  - ---------------------------
  commit a81b708e1b5b023b6fc70ec7b68ce4cfcd1d5628
  Author: Scott Wiersdorf <scott@perlcode.org>
  Date:   Mon Mar 20 14:24:08 2017 -0600
    skip crontab writes unless explicitly asked for
* Tue Feb 28 2017 coolo@suse.com
- updated to 1.43
  see /usr/share/doc/packages/perl-Config-Crontab/Changes
  Release 1.43
  - ---------------------------
  commit 2fedca514e2826bae41960295af20dc718db3256
  Author: Scott Wiersdorf <scott@perlcode.org>
  Date:   Mon Feb 27 10:42:51 2017 -0700
    fix lexical scope error introduced in PR#2; tests
* Mon Feb 13 2017 coolo@suse.com
- updated to 1.42
  see /usr/share/doc/packages/perl-Config-Crontab/Changes
  Release 1.42
  - ---------------------------
  commit 337927a0840a7d3572b31c9c31c2911463e6bbc4
  Author: Felipe Gasper <felipe@felipegasper.com>
  Date:   Fri Jan 6 15:39:46 2017 -0500
    Use lexical filehandles rather than barewords (https://github.com/FGasper)
* Sat May 28 2016 coolo@suse.com
- updated to 1.41
  see /usr/share/doc/packages/perl-Config-Crontab/Changes
  Release 1.41
  - ---------------------------
  commit 5ab21cf7b653915d792e76935606bf24462a11fb
  Author: Scott Wiersdorf <scott@perlcode.org>
  Date:   Thu May 26 19:00:26 2016 -0600
    RT #114744
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.40
  - fix for multiple datetime wildcards
* Thu Oct 27 2011 tabraham@novell.com
- updated to 1.33
  - check for SunOS crontab (RT#32658)
- updated to 1.32 2011-04-11
  - add t/setup.pl to MANIFEST
- updated to 1.31 2011-04011
  - minor formatting changes
  - tests updated to Test::More
  - checks for crontab(1) in tests (RT#59578)
  - fewer stupid tests
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Tue Jul  7 2009 lrupp@suse.de
- update to 1.30:
  + modernize (no more 'use vars')
  + support for SuSE-specific 'no syslog' extension
* Sun Aug  5 2007 mrueckert@suse.de
- update to version 1.21:
  minor bugfix mainly for weird behavior of "crontab -l" on debian
- minor spec file cleanup
* Fri Oct 20 2006 mrueckert@suse.de
- update to version 1.20:
  added remove_tab to remove crontab files.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 mrueckert@suse.de
- update to version 1.11
* Fri Jul 29 2005 cthiel@suse.de
- update to version 1.10
* Thu Jan 29 2004 nashif@suse.de
- Initial version for SuSE (1.03)
